Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.pe.pc.legacy.cmpf
Class PortletResponseWrapper

    java.lang.Object
      javax.servlet.http.HttpServletResponseWrapper
          com.ibm.wps.pe.pc.legacy.cmpf.PortletResponseWrapper

    public class PortletResponseWrapper

extends javax.servlet.http.HttpServletResponseWrapper

Provides a convenient implementation of the PortletResponse interface that can be subclassed by developers who wish to wrap the response from a Portlet. This class implements the Wrapper or Decorator pattern. Methods default to calling through to the wrapped response object.

Since:
  5.0
See Also:
  `PortletResponse`

Constructor Summary
`PortletResponseWrapper(PortletResponse response)` Creates a PortletResponse adaptor wrapping the specified response object.

Method Summary
`PortletURI` | `createReturnURI()`
`PortletURI` | `createURI()`
`PortletURI` | `createURI(PortletWindow.State state)`
`java.lang.String` | `encodeNamespace(java.lang.String aValue)`
`java.lang.String` | `encodeURI(java.lang.String path)`
`java.lang.String` | `getCharacterSet()`
`java.lang.String` | `getContentType()`
`protected PortletResponse` | `getPortletResponse()` Return the wrapped ServletResponse object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletResponseWrapper

    public PortletResponseWrapper(PortletResponse response)

  Creates a PortletResponse adaptor wrapping the specified response object.

  Parameters:
    `response` - the portlet response
  Throws:
    `java.lang.IllegalArgumentException` - if the response is null.

Method Detail

### getPortletResponse

    protected PortletResponse getPortletResponse()

  Return the wrapped ServletResponse object.

### createURI

    public PortletURI createURI()

### getContentType

    public java.lang.String getContentType()

### createURI

    public PortletURI createURI(PortletWindow.State state)

### getCharacterSet

    public java.lang.String getCharacterSet()

### encodeNamespace

    public java.lang.String encodeNamespace(java.lang.String aValue)

### createReturnURI

    public PortletURI createReturnURI()

### encodeURI

    public java.lang.String encodeURI(java.lang.String path)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD